﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SaveDialogBox_CSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            saveFileDialog1.InitialDirectory = "c:\\dados";
            saveFileDialog1.Filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*";
            saveFileDialog1.FilterIndex = 1;
            saveFileDialog1.RestoreDirectory = true;

            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                System.IO.Stream myStream = null;
                try
                {
                    if ((myStream = saveFileDialog1.OpenFile()) != null)
                    {
                        string path = saveFileDialog1.FileName;
                        // aqui vc salva seu arquivo
                        MessageBox.Show(path);
                    }
                }
                finally
                {
                    myStream.Close();
                }
            }

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SaveFileDialog svdlg = new SaveFileDialog();

            if (svdlg.ShowDialog() == DialogResult.OK)
            {
                MessageBox.Show(svdlg.FileName);
            }
            else
            {
                MessageBox.Show("Você clicou em Cancelar");
            }
        }
    }
}
